The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Проблемы с созданием rpm для cups 1.7 на сентосе 6.4."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на рабочей станции (Печать)
Изначальное сообщение [ Отслеживать ]

"Проблемы с созданием rpm для cups 1.7 на сентосе 6.4."  +/
Сообщение от PashaTurok (ok) on 18-Ноя-13, 21:25 
Доброго времени суток!

Пытаюсь построить rpmку. Вроде все зависимости установил, но получаю ошибку.

Делаю так:
rpmbuild -ta cups-1.7.0-source.tar.gz  --without dbus

А вот такая ошибка:

Processing files: cups-1.7.0-1.x86_64
error: File not found: /root/rpmbuild/BUILDROOT/cups-1.7.0-1.x86_64/usr/share/cups/usb
error: File not found by glob: /root/rpmbuild/BUILDROOT/cups-1.7.0-1.x86_64/usr/share/cups/usb/*

Как с этим бороться? Куда копать? В гугле ничего не нашел.

Помогите пожалуйста, кто что знает...

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Проблемы с созданием rpm для cups 1.7 на сентосе 6.4."  +/
Сообщение от Andrey Mitrofanov on 18-Ноя-13, 21:41 
> rpmbuild -ta cups-1.7.0-source.tar.gz  --without dbus
> error: File not found by glob: /root/rpmbuild/BUILDROOT/cups-1.7.0-1.x86_64/usr/share/cups/usb/*
> Как с этим бороться? Куда копать? В гугле ничего не нашел.

Как обычно: отладить и починить .spec в соответствии с реалиями новой версии исходников.

Находишь строку .spec-а, которая даёт ошибку, смотришь, что не так и правишь.
Скорее всего какие-то файлы переместили или удалили в новой версии.

Повторяешь это со следующими ошибками -- до "окончательной" сборки .rpm-ов. Но особо не радуйся -- ещё надо убедиться, что оно поставится. Потом, что заработает. Потом присмотреть ещё какое-то время -- вдруг чего ещё надо поправить.

...
Посмотрел, на pkgs.repoforge.org, вроде, нет готового. Поискать по rpm-искалкам ещё можно попробовать. М-м-м, google.com/search?q=cups-1.7+rpm ... танцевать от двух .spec-ов: того, что 1.7 в fc21 и "оригинального" el6-ого. Если, скажем, cups-1.7.0-5.fc21.src с нахрапа не соберётся.

> Помогите пожалуйста, кто что знает...

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Проблемы с созданием rpm для cups 1.7 на сентосе 6.4."  +/
Сообщение от PashaTurok (ok) on 18-Ноя-13, 21:45 
Большое спасибо за ответ. Обязательно попробую и скажу чем закончилось...

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру